## ros-indigo-sr-robot-msgs 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(sr_robot_msgs)

set(MSG_DEPS
  std_msgs
  sensor_msgs
  geometry_msgs
  actionlib_msgs
  moveit_msgs
)

find_package(catkin REQUIRED COMPONENTS roslib genmsg message_generation ${MSG_DEPS})

add_message_files(
  FILES
  AuxSpiData.msg
  BiotacAll.msg
  Biotac.msg
  cartesian_data.msg
  cartesian_position.msg
  command.msg
  config.msg
  contrlr.msg
  ControlType.msg
  EthercatDebug.msg
  FromMotorDataType.msg
  GraspArray.msg
  JointControllerState.msg
  joint.msg
  JointMusclePositionControllerState.msg
  JointMuscleValveControllerCommand.msg
  JointMuscleValveControllerState.msg
  joints_data.msg
  MidProxDataAll.msg
  MidProxData.msg
  MotorSystemControls.msg
  reverseKinematics.msg
  sendupdate.msg
  ShadowPST.msg
  TactileArray.msg
  Tactile.msg
  UBI0All.msg
  UBI0.msg
  ShadowContactStateStamped.msg
)

add_service_files(
  FILES
  ChangeControlType.srv
  ChangeMotorSystemControls.srv
  ForceController.srv
  GetSegmentedLine.srv
  is_hand_occupied.srv
  ManualSelfTest.srv
  NullifyDemand.srv
  SetDebugData.srv
  SetEffortControllerGains.srv
  SetMixedPositionVelocityPidGains.srv
  SetPidGains.srv
  SimpleMotorFlasher.srv
  which_fingers_are_touching.srv
)

## Generate actions in the 'action' folder
add_action_files(
  DIRECTORY action
  FILES
  Grasp.action
  PlanGrasp.action
)

generate_messages(DEPENDENCIES ${MSG_DEPS})

catkin_package(
  DEPENDS
  CATKIN_DEPENDS roslib message_runtime ${MSG_DEPS}
  INCLUDE_DIRS
  LIBRARIES
)

=== debian/changelog ===
ros-indigo-sr-robot-msgs (1.4.0-0trusty) trusty; urgency=high

  * Add a GraspArray message.
  * Add PlanGrasp action.
  * Port the Contact message and Grasp action from GSC

 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 06 Apr 2015 23:00:00 -0000

ros-indigo-sr-robot-msgs (1.3.1-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 17 Jul 2014 23:00:00 -0000

ros-indigo-sr-robot-msgs (1.3.0-0trusty) trusty; urgency=high

  * first hydro release

 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 11 Feb 2014 00:00:00 -0000

=== debian/control ===
Source: ros-indigo-sr-robot-msgs
Section: misc
Priority: extra
Maintainer: Shadow Robot's software team <software@shadowrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-moveit-msgs, ros-indigo-roslib, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/sr_robot_msgs
Standards-Version: 3.9.2

Package: ros-indigo-sr-robot-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib-msgs, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-moveit-msgs, ros-indigo-roslib, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Description: sr_robot_msgs contains some messages used in the shadow_robot stack.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-sr-robot-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
